delete
https://api.yotpo.com/apps//unsubscribers/mass_delete
Re-adds email addresses to your mailing list that you added to your Yotpo email blocklist. Customers who organically unsubscribed from your mailing list will not be re-added.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
How to use this endpoint
- To see example requests, click Examples in the payload on the right.
- For example responses, click the relevant status code on the right.
Note:
- Currently, the returned
unsubscribers.idis not supported in the Yotpo API.- For multiple requests, Yotpo recommends passing batches of 150 emails per request.
- If you use the async parameter, the response does not contain "unsubscribers".
- If you use the validate_data parameter, the response will contain errors if the requested parameters are not valid.
email_list request body
email_list request bodyThe email_list object is a hash of email addresses grouped by email type. Each key must be the Number from the Email types table below (for example 1, 2, or 3). The value for each key is an array of email addresses to re-add for that email type.
For example, to re-add addresses to email type 1 (Mails After Purchase and other reminder emails):
{
"email_list": {
"1": [
"[email protected]"
]
}
}To target multiple email types in one request, add a separate key for each Number from the table:
{
"email_list": {
"1": [
"[email protected]"
],
"3": [
"[email protected]"
]
}
}Email types
Use the Number column below as the key in your email_list request body.
| Number | Email Type |
|---|---|
| 1 | Mails After Purchase and other reminder emails |
| 2 | Targeted Review Requests |
| 3 | Mail after service: emails sent as a follow-up in Zendesk integration |
| 4 | Comment requests: store owners with comments feature, get this after a new review is written |
| 5 | Comment notification: reviewers get this after store owner comments on a review |
| 6 | Site reminder: site review requests that sent with the 'slider' feature |
| 7 | Mail after invoice: emails sent from the "Site Review Automation" feature |
| 8 | Question confirmation: mail sent to confirm the email of a user who asks a question. Questions are only submitted once the poser confirms their email. |
| 9 | Answer request shop owner |
| 10 | Answer request shoppers |
| 11 | Answer notification shop owner |
| 12 | Answer notification shoppers: the notification sent to the user that asked the question that the question has been answered |
| 13 | Resend reminder: this is only sent when a reminder is resent manually from the Admin |
| 14 | Anonymous testimonials request: HubSpot integration emails |
| 15 | Targeted Product Review request: the Targeted Product Review request email |
| 16 | Coupon Reminder |
| 17 | Coupon Notification |